{{#unless @isAction}}
  <Editor::Properties::ButtonType @value={{this.type}} @onChange={{fn this.change "_type"}} class="mb-3" />
{{/unless}}

{{#if this.isDefault}}
  <Editor::Properties::OptionContainer class="mb-3" @label={{t "option-panel.title"}} as |id|>
    <Input::Text class="form-control input-button-name" id={{id}} @value={{this.name}}
      @onChange={{fn this.change "_name"}} />
  </Editor::Properties::OptionContainer>
{{/if}}

{{#unless @isAction}}
  {{#if this.isAppStore}}
    <Editor::Properties::StoreType @value={{this.storeType}} @onChange={{fn this.change "_storeType"}}
      class="mb-3" />
  {{/if}}

  <Editor::Properties::OptionContainer class="mb-3" @label={{t "option-panel.link"}}>
    <Editor::Properties::Link @value={{this.link}} @onChange={{fn this.change "_link"}} @space={{@space}} />
  </Editor::Properties::OptionContainer>

  <Editor::Properties::OptionContainer class="mb-3" @label={{t "option-panel.open-in-new-tab"}} as |id|>
    <Input::SelectBoolean class="select-option-in-new-tab" id={{id}} @list={{this.yesNoOptions}} @value={{this.newTab}}
      @onChange={{fn this.change "_newTab"}} />
  </Editor::Properties::OptionContainer>

  <Editor::Properties::OptionContainer class="mb-3" @label={{t "option-panel.enable-picture"}} as |id|>
    <Input::SelectBoolean class="select-option-enable-picture" id={{id}} @list={{this.yesNoOptions}} @value={{this.enablePicture}}
      @onChange={{fn this.change "_enablePicture"}} />
  </Editor::Properties::OptionContainer>
{{/unless}}